%Funkce pro vykresleni prubehu signalu v Gui
function Vykresleni(handles)

    global signal emgfiltrovany silavyhlazena;
    
    cislomereni = get(handles.Volba_mereni_popup, 'Value');
    
    casovaosa = signal(:, 1);
    emg = signal(:, 3 * cislomereni);
    prumersily = mean(silavyhlazena(cislomereni, :));       
    
    %Vykresleni nefiltrovaneho signalu
    plot(handles.axes1, casovaosa, emg);
    
    set(handles.axes1, 'XLim', [0 60]);
    title(handles.axes1, 'Nefiltrovaný EMG signál');
    xlabel(handles.axes1, 'Čas [s]');
    ylabel(handles.axes1, 'Amplituda [V]');
    
    %Vykresleni filtrovaneho signalu
    plot(handles.axes2, casovaosa, emgfiltrovany(cislomereni, :));
    
    set(handles.axes2, 'XLim', [0 60]);
    title(handles.axes2, 'Filtrovaný EMG signál');
    xlabel(handles.axes2, 'Čas [s]');
    ylabel(handles.axes2, 'Amplituda [V]');
    
    %Vykresleni prubehu sily
    plot(handles.axes3, linspace(0, 60, length(silavyhlazena)), silavyhlazena(cislomereni, :));
    
    hold(handles.axes3, 'on');
    plot(handles.axes3, [0 60], [prumersily prumersily], 'r');              %Vykresleni prumerne hodnoty sily
    hold(handles.axes3, 'off');
    
    set(handles.axes3, 'XLim', [0 60]);
    title(handles.axes3, 'Průběh síly');
    xlabel(handles.axes3, 'Čas [s]');
    ylabel(handles.axes3, 'Síla [kg]');
    legend(handles.axes3, {'Průběh síly', 'Průměr síly'});
end